diff --git a/debian/changelog b/debian/changelog
index 0fcd0a2..b72a9da 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,16 @@
+dnssec-trigger (0.13~svn685-1.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Fix incorrect configure parameter name (Closes: #757320)
+  * Add missing dependency on python-gi
+  * Add missing dependency on gir1.2-networkmanager-1.0
+  * Add missing dependency on python-lockfile (Closes: #758731)
+  * Apply patch from Gerald Turner to fix paths in desktop file
+    (Closes: #756149)
+  * Add tmpfiles.d config file (Closes: #758729)
+
+ -- Arto Jantunen <viiru@debian.org>  Thu, 25 Sep 2014 19:17:04 +0300
+
 dnssec-trigger (0.13~svn685-1) unstable; urgency=medium
 
   * New upstream version 0.13~svn685 (Closes: #754853)
diff --git a/debian/control b/debian/control
index 4b637d4..1a32503 100644
--- a/debian/control
+++ b/debian/control
@@ -23,6 +23,9 @@ Depends: ${shlibs:Depends},
 	 ${misc:Depends},
 	 ${python:Depends},
 	 python,
+	 python-gi,
+	 python-lockfile,
+	 gir1.2-networkmanager-1.0,
 	 unbound
 Description: reconfiguration tool to make DNSSEC work
  Dnssec-trigger reconfigures the local unbound DNS server. This unbound
diff --git a/debian/dnssec-trigger.conf b/debian/dnssec-trigger.conf
new file mode 100644
index 0000000..2f343b2
--- /dev/null
+++ b/debian/dnssec-trigger.conf
@@ -0,0 +1 @@
+d /run/dnssec-trigger 0700 root root -
diff --git a/debian/dnssec-trigger.install b/debian/dnssec-trigger.install
new file mode 100644
index 0000000..5513cad
--- /dev/null
+++ b/debian/dnssec-trigger.install
@@ -0,0 +1 @@
+debian/dnssec-trigger.conf usr/lib/tmpfiles.d/
diff --git a/debian/patches/fix-desktop-file-dirs.patch b/debian/patches/fix-desktop-file-dirs.patch
new file mode 100644
index 0000000..f98534f
--- /dev/null
+++ b/debian/patches/fix-desktop-file-dirs.patch
@@ -0,0 +1,18 @@
+From: Gerald Turner <gturner@unzane.com>
+Subject: dnssec-trigger-panel.desktop is built without interpolating @bindir@ and @uidir@
+Date: Sat, 26 Jul 2014 11:53:06 -0700
+
+diff -ur dnssec-trigger-0.13~svn685.orig/panel/dnssec-trigger-panel.desktop.in dnssec-trigger-0.13~svn685/panel/dnssec-trigger-panel.desktop.in
+--- dnssec-trigger-0.13~svn685.orig/panel/dnssec-trigger-panel.desktop.in	2014-07-15 01:14:57.000000000 -0700
++++ dnssec-trigger-0.13~svn685/panel/dnssec-trigger-panel.desktop.in	2014-07-26 11:43:13.494258925 -0700
+@@ -5,8 +5,8 @@
+ Name=DNSSEC Trigger
+ GenericName=Network Applet
+ Comment=Shows DNS state and warning dialog
+-Exec=0bindir0/dnssec-trigger-panel
+-Icon=0uidir0/status-icon.png
++Exec=@bindir@/dnssec-trigger-panel
++Icon=@uidir@/status-icon.png
+ Terminal=false
+ Categories=Utility;
+ X-KDE-StartupNotify=false
diff --git a/debian/patches/series b/debian/patches/series
index 47d8520..2fa51a1 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -1,3 +1,4 @@
 systemd_services_path_is_lib_systemd.patch
 debian-quirks.patch
 strip-version-number-from-config.patch
+fix-desktop-file-dirs.patch
diff --git a/debian/rules b/debian/rules
index b18d343..2cfa7c0 100755
--- a/debian/rules
+++ b/debian/rules
@@ -14,7 +14,7 @@ export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--with-libexecdir=/usr/lib/dnssec-trigger \
+		--libexecdir=/usr/lib/dnssec-trigger \
 		--with-ssl \
 		--with-hooks=networkmanager \
 		--with-gui=gtk \
